/* stylelint-disable order/order */
/*
* Converts an pixel value into a rem value.
*
* @param string  $values    the pixel value(s) as a number. Can convert multiple values if values separated by a space.
* @param integer $base      the base pixel value.
*
* @return string   a space-separated string of rem values.
*/
/*
* This is an abbreviated wrapper for the responsive-values function.
*/
/*
* Creates a CSS clamp value that sizes between breakpoints.
*
* @param integer $min                    the minimum pixel value.
* @param integer $max                    the maximum pixel value.
* @param string  $smallest-breakpoint    the name of the smallest breakpoint from the $grid-breakpoints variable.
* @param string  $largest-breakpoint     the name of the largest breakpoint from the $grid-breakpoints variable.
* @param string  $screen                 whether to use a horizontal (width) breakpoint or a vertical (height) breakpoint.
*
* @return string   a CSS clamp property value.
*/
/*
* Outputs a font family value from the $fonts variable.
*
* @param string  $key   the font key.
*
* @return string   a font family value.
*/
/*
* Outputs a color value from the $paints or $additional-paints variables.
*
* @param string  $key   the color name.
*
* @return string   a color value.
*/
/*
* Outputs an effect value from the $effects variable.
*
* @param string  $key   the effect name.
*
* @return string   an effect value.
*/
/* stylelint-enable order/order */
/*
* Used to target heading selectors.
*
* @param integer  $start               the first heading element to target. 1 through 6.
* @param integer  $end                 the last heading element to target. 1 through 6.
* @param string   $beforeCombinator    the CSS combinator to include before the heading classes.
* @param string   $afterCombinator     the CSS combinator to include after the heading classes.
* @param boolean  $includeFontClasses  whether or not to include the .has-t-1... classes or just output the standard heading elements.
*
* @return string  The included CSS wrapped with selectors for the specified headings.
*/
/*
* Used to add properties to a for a pseudo element to make an icon based on the iconfont set.
*
* @param string   $content     the content for the icon. Usually uses one of the iconfont variables.
* @param string   $font-size   the font size with unit.
*
* @return string  The CSS properties for the icon.
*/
/*
* Generates CSS to fit an element into the 12-column grid. Only works when used on an element where the parent element is the width of the entire page.
*
* @return string  CSS properties to set the width of the element to the specified column sizes.
*/
/*
* Used to target elements with a background color that has a text color different from the standard color.
*
* @return string  The included CSS wrapped with selectors for the specified background.
*/
/*
* Used to add the CSS Grid properties for the 12-column grid.
*
* @return string  The CSS Grid properties for the 12-column grid.
*/
/* Quick Positioning */
/****************
 * Fonts
 *
 * The font settings are defined via the gulp figma which task creates variables in the css/__base-includes/figma/_figma-font-styles.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/*
* This array is used to specify the fonts used on the project with the following parameters:
	base - the name for use in the font() mixin.
		css - the output CSS value.
		figma-name: - the 'font-family' name ued in the _figma-font-variable.scss file.
	)
*/
/****************
 * Colors
 *
 * The primary colors are defined via the gulp figma task which creates variables in the css/__base-includes/figma/_figma-color-variables.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/* If additional colors need to be added to the _figma-color-variables.scss, they can be added to this variable: */
/* This variable controls the background colors generated in the ACF background_color field and the background color classes - bg-white, bg-gray-92, etc: */
/* If a background color uses a different font color than the default color, use these variables to specify the alternate colors */
/* Backgrounds specified in this variable will use the alternative text colors: */
/****************
 * Effects
 ****************/
/****************
 * Grid Settings
 ****************/
/****************
 * Block Spacing
 *
 * These variables are based on the "Spacing" rules found in the "Foundations" section in Figma. These control the default spacing between blocks of different colors.
 ****************/
/*
This file can be used for optional additions to the Figma-generated font style mixins in the figma/_figma-font-styles.scss file.

For example, if you want to add styles to the @overline mixin, just create a mixin here called @overline-custom and that CSS will be added to the primary mixin:

@mixin overline-custom() {
	font-weight: 700;
}
*/
.hero-trip-finder {
  position: relative;
  height: clamp(21.5rem, -11.6428571429rem + 69.0476190476vw, 50.5rem);
  padding: clamp(4rem, -0.8571428571rem + 10.119047619vw, 8.25rem) 0;
}
.hero-trip-finder::before {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  content: "";
  z-index: 2;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
}
.hero-trip-finder > div:not(.hero-trip-finder__slider):not(.hero-trip-finder__side-nav) {
  position: relative;
  z-index: 2;
}
.hero-trip-finder__slider {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.hero-trip-finder__video-overlay-image {
  position: absolute !important;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 1 !important;
}
.hero-trip-finder__video-overlay-image figure {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}
.hero-trip-finder__video-overlay-image figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
}
.hero-trip-finder__video-wrapper {
  position: absolute !important;
  top: 0;
  left: 0;
  z-index: 2 !important;
  width: 100%;
  height: 100%;
  pointer-events: none;
  overflow: hidden;
}
.hero-trip-finder__video-wrapper .iframe-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  width: calc(var(--videoRatio, 1.7777777778) * var(--blockHeight, 100vw));
  height: 100%;
  min-width: 100vw;
  max-width: none;
  margin: 0;
  opacity: 0;
  transform: translate(-50%, -50%);
  transition: opacity 0.8s ease-in-out;
}
.hero-trip-finder__video-wrapper .iframe-wrapper.loaded {
  opacity: 1;
}
.hero-trip-finder__single-slide {
  position: relative;
  height: 50.5rem;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__single-slide {
    height: 37.5rem;
  }
}
@media (max-width: 47.98rem) {
  .hero-trip-finder__single-slide {
    height: 25rem;
  }
}
.hero-trip-finder__browse-all-con {
  padding-bottom: clamp(1.5rem, -9.0714285714rem + 22.0238095238vw, 10.75rem);
}
.hero-trip-finder__view-all-button {
  letter-spacing: 0.03125rem;
  text-transform: uppercase;
}
.hero-trip-finder__container {
  text-align: center;
}
.hero-trip-finder__container .has-t-1-font-size {
  margin-bottom: 1.5rem;
  font-size: clamp(2.5rem, 0.7857142857rem + 3.5714285714vw, 4rem);
  line-height: clamp(3rem, 1.8571428571rem + 2.380952381vw, 4rem);
}
@media (min-width: 62rem) {
  .hero-trip-finder__container .has-t-1-font-size {
    font-size: 4rem;
  }
}
.hero-trip-finder__container .has-title-3-font-size {
  margin-bottom: clamp(1.5rem, 0.9285714286rem + 1.1904761905vw, 2rem);
  font-weight: 350;
  letter-spacing: 0.125rem;
  text-transform: uppercase;
}
.hero-trip-finder__container .wp-block-buttons {
  justify-content: center;
}
.hero-trip-finder__container .wp-block-button__link {
  text-transform: uppercase;
}
.hero-trip-finder__side-nav {
  position: absolute;
  top: 50%;
  left: auto;
  bottom: auto;
  right: 2.5rem;
  z-index: 2;
  width: 0.625rem;
  transform: translateY(-50%);
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__side-nav {
    display: none;
  }
}
.hero-trip-finder__side-nav .slick-track {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.hero-trip-finder__count {
  margin-bottom: 1rem;
  font-weight: 325;
  font-size: 0.875rem;
  line-height: 1.5rem;
}
.hero-trip-finder__nav-item {
  position: relative;
  width: 0.125rem;
  height: 4.375rem;
  margin-bottom: 1.25rem;
  background-color: #737373;
  cursor: pointer;
}
.hero-trip-finder__nav-item.slick-current {
  opacity: 1;
}
.hero-trip-finder__nav-item.slick-current::after {
  position: absolute;
  top: 0;
  left: 0;
  bottom: auto;
  right: 0;
  content: "";
  width: 100%;
  background-color: #fff;
  animation-name: progress;
  animation-duration: var(--slider-delay);
  animation-timing-function: linear;
  animation-delay: 0ms;
}
.hero-trip-finder__search {
  background-color: #f7f7f7;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search {
    padding-bottom: 5.5rem;
    background-color: #fff;
  }
}
.hero-trip-finder__search .mat-select--active .mat-select__list {
  display: block !important;
  min-width: 15.625rem;
}
@media (min-width: 62rem) {
  .hero-trip-finder__search .mat-select {
    width: 100%;
  }
}
@media (min-width: 62rem) {
  .hero-trip-finder__search .mat-select::after {
    display: none;
  }
}
.hero-trip-finder__search .mat-select__text,
.hero-trip-finder__search select {
  height: initial;
  background: transparent !important;
}
@media (min-width: 62rem) {
  .hero-trip-finder__search .mat-select__text,
.hero-trip-finder__search select {
    width: 100% !important;
    min-width: initial;
    padding: 0 !important;
    font-size: 1.125rem !important;
    font-family: verdigris-mvb-pro-text, sans-serif !important;
    line-height: 1.5rem !important;
    border: none !important;
  }
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search .mat-select__text,
.hero-trip-finder__search select {
    border: none !important;
    background-color: #f0f0f0 !important;
  }
}
.hero-trip-finder__search .form-field-with-label {
  position: relative;
  display: flex;
  flex-direction: column;
}
.hero-trip-finder__search .form-field-with-label--date {
  min-width: 15.625rem;
}
@media (min-width: 62rem) {
  .hero-trip-finder__search .form-field-with-label--date-data {
    display: flex;
    align-items: center;
    height: 1.5rem;
  }
}
@media (min-width: 48rem) {
  .hero-trip-finder__search .form-field-with-label {
    padding-left: 0.75rem;
  }
}
@media (min-width: 62rem) {
  .hero-trip-finder__search .form-field-with-label {
    padding-left: 1.5625rem;
  }
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search .form-field-with-label {
    width: 100%;
    margin-bottom: 0.5rem;
    padding-right: 0;
    padding-left: 0;
    border-left: none;
  }
}
.hero-trip-finder__search .form-field-with-label::before {
  position: absolute;
  top: 50%;
  left: 0;
  content: "";
  width: 0.0625rem;
  height: 3.5rem;
  background-color: #c3b06b;
  transform: translateY(-50%);
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search .form-field-with-label::before {
    display: none;
  }
}
.hero-trip-finder__search .form-field-with-label__hidden {
  display: none;
}
.hero-trip-finder__search .c-btn:not(.tf-datepicker__clear) {
  min-width: 11.0625rem;
  white-space: nowrap;
  text-transform: uppercase;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search .c-btn:not(.tf-datepicker__clear) {
    margin-top: 1rem;
  }
}
.hero-trip-finder__search .tf-mobile-button-content {
  display: block;
}
.hero-trip-finder__search .tf-datepicker {
  margin: 0;
  padding: 0;
  border: none;
}
.hero-trip-finder__search .tf-datepicker__bottom {
  display: flex;
  justify-content: flex-end;
  padding: 0rem 1.25rem 1.25rem 0;
}
.hero-trip-finder__search .tf-datepicker__clear {
  border-bottom: 0;
}
.hero-trip-finder__search .tf-mobile-main,
.hero-trip-finder__search .DateRangePicker {
  margin: 0;
}
.hero-trip-finder__search input {
  font-size: 1.125rem !important;
  font-family: verdigris-mvb-pro-text, sans-serif !important;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search input {
    font-size: 0.9375rem !important;
    font-family: Gotham, sans-serif !important;
  }
}
@media (min-width: 62rem) {
  .hero-trip-finder__search input {
    padding: 0 !important;
    line-height: 1.5rem !important;
    border: none !important;
  }
}
.hero-trip-finder__search input::placeholder {
  color: #000 !important;
}
.hero-trip-finder__search .DateRangePickerInput_arrow {
  display: none !important;
}
.hero-trip-finder__search-box {
  position: relative;
  z-index: 3;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  max-width: 71.875rem;
  margin-top: -4rem;
  margin-right: auto;
  margin-left: auto;
  padding: 2.25rem;
  background-color: #fff;
}
@media (max-width: 74.98rem) {
  .hero-trip-finder__search-box {
    width: 100%;
  }
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__search-box {
    flex-wrap: wrap;
    width: 100%;
    margin-top: 2rem;
    padding: 0;
  }
}
.hero-trip-finder__form {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  max-width: 100%;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__form {
    flex-wrap: wrap;
  }
}
.hero-trip-finder__trip-title {
  margin-right: 1.25rem;
  margin-bottom: clamp(0rem, 2.1428571429rem + -2.380952381vw, 1rem);
  font-weight: 700;
  font-size: 1.625rem;
  line-height: 2rem;
  white-space: nowrap;
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__trip-title {
    margin-right: 0;
    font-weight: 400;
  }
}
@media (max-width: 61.98rem) {
  .hero-trip-finder__label {
    display: none;
  }
}

@keyframes progress {
  from {
    height: 0;
  }
  to {
    height: 100%;
  }
}